List a conversation’s items
curl --request GET \
--url https://guidinghand.ai/v1/conversations/{conversation_id}/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/conversations/{conversation_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/conversations/{conversation_id}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "conversation_item",
"seq": 123,
"response_id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "user_message",
"text": "<string>",
"speaker": "caller",
"queued": true,
"view": {
"version": 1,
"sections": [
{
"blocks": [
{
"type": "text"
}
],
"title": "<string>",
"badge": {
"text": "<string>",
"tone": "neutral"
}
}
]
},
"call_id": "<string>",
"name": "<string>",
"arguments": {},
"label": "<string>",
"output": "<string>",
"task": {
"task_id": "<string>",
"kind": "browser",
"status": "queued",
"result": "<string>",
"goal": "<string>",
"computer": "<string>",
"plan": [
"<string>"
],
"plan_step": 2
},
"files": [
{
"id": "<string>",
"filename": "<string>",
"content_type": "<string>",
"kind": "image",
"bytes": 123
}
],
"error": true,
"surface_id": "<string>",
"title": "<string>",
"fields": [
{}
],
"a2ui": [
{}
],
"answer": {},
"approval": {
"approval_id": "apr_…",
"scope": "run",
"action": "<string>",
"source": "guardrail",
"site": "<string>",
"app": "<string>",
"category": "<string>",
"risk": "<string>",
"task_id": "<string>",
"procedure_id": "<string>",
"by": "anyone",
"who": "<string>",
"note": "<string>",
"covers": [
"purchase"
],
"surface_id": "<string>",
"a2ui": [
{}
],
"decision": {
"decision": "approve",
"note": "<string>",
"by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"at": "2023-11-07T05:31:56Z"
}
},
"question": {
"question_id": "qst_…",
"task_id": "<string>",
"question": "<string>",
"options": [
"<string>"
],
"surface_id": "<string>",
"a2ui": [
{}
],
"answer": {
"text": "<string>",
"by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"at": "2023-11-07T05:31:56Z"
}
}
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Conversations
List a conversation’s items
Oldest first: messages, tool calls and their results, and tasks.
GET
/
v1
/
conversations
/
{conversation_id}
/
items
List a conversation’s items
curl --request GET \
--url https://guidinghand.ai/v1/conversations/{conversation_id}/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/conversations/{conversation_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/conversations/{conversation_id}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "conversation_item",
"seq": 123,
"response_id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "user_message",
"text": "<string>",
"speaker": "caller",
"queued": true,
"view": {
"version": 1,
"sections": [
{
"blocks": [
{
"type": "text"
}
],
"title": "<string>",
"badge": {
"text": "<string>",
"tone": "neutral"
}
}
]
},
"call_id": "<string>",
"name": "<string>",
"arguments": {},
"label": "<string>",
"output": "<string>",
"task": {
"task_id": "<string>",
"kind": "browser",
"status": "queued",
"result": "<string>",
"goal": "<string>",
"computer": "<string>",
"plan": [
"<string>"
],
"plan_step": 2
},
"files": [
{
"id": "<string>",
"filename": "<string>",
"content_type": "<string>",
"kind": "image",
"bytes": 123
}
],
"error": true,
"surface_id": "<string>",
"title": "<string>",
"fields": [
{}
],
"a2ui": [
{}
],
"answer": {},
"approval": {
"approval_id": "apr_…",
"scope": "run",
"action": "<string>",
"source": "guardrail",
"site": "<string>",
"app": "<string>",
"category": "<string>",
"risk": "<string>",
"task_id": "<string>",
"procedure_id": "<string>",
"by": "anyone",
"who": "<string>",
"note": "<string>",
"covers": [
"purchase"
],
"surface_id": "<string>",
"a2ui": [
{}
],
"decision": {
"decision": "approve",
"note": "<string>",
"by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"at": "2023-11-07T05:31:56Z"
}
},
"question": {
"question_id": "qst_…",
"task_id": "<string>",
"question": "<string>",
"options": [
"<string>"
],
"surface_id": "<string>",
"a2ui": [
{}
],
"answer": {
"text": "<string>",
"by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"at": "2023-11-07T05:31:56Z"
}
}
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Authorizations
An org API key (gh_live_…) from Settings → API keys in the console.
Path Parameters
The conversation’s id.
Query Parameters
Required range:
1 <= x <= 500next_cursor from the previous page.